@base <https://purl.org/coscine/ap/sfb1394/SKPFM/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394SKPFM: <https://purl.org/coscine/ap/sfb1394/SKPFM#> .

 # SKPFM 
<https://purl.org/coscine/ap/sfb1394/SKPFM/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 SKPFM"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/SKPFM/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394SKPFM:ID ;
  sh:property coscineSfb1394SKPFM:aliasID ;
  sh:property coscineSfb1394SKPFM:user ;
  sh:property coscineSfb1394SKPFM:date ;
  sh:property coscineSfb1394SKPFM:affiliation ;
  sh:property coscineSfb1394SKPFM:dois ;
  sh:property coscineSfb1394SKPFM:temperature ;
  sh:property coscineSfb1394SKPFM:relativeHumidity ;
  sh:property coscineSfb1394SKPFM:environmentalGas ;
  sh:property coscineSfb1394SKPFM:operator ;
  sh:property coscineSfb1394SKPFM:instrumentId ;
  sh:property coscineSfb1394SKPFM:sampleId ;
  sh:property coscineSfb1394SKPFM:parentSampleId ;
  sh:property coscineSfb1394SKPFM:anyDataSetToBeLinkedWithThisExperiment ;
  sh:property coscineSfb1394SKPFM:TestingEnv ;
  sh:property coscineSfb1394SKPFM:pre-treatment ;
  sh:property coscineSfb1394SKPFM:afmMode ;
  sh:property coscineSfb1394SKPFM:kpfmMode ;
  sh:property coscineSfb1394SKPFM:tip ;
  sh:property coscineSfb1394SKPFM:workingDistance ;
  sh:property coscineSfb1394SKPFM:scanVelocity ;
  sh:property coscineSfb1394SKPFM:tipOffsetVoltage ;
  sh:property coscineSfb1394SKPFM:appliedOffsetVoltage ;
  sh:property coscineSfb1394SKPFM:tipAlternatingVoltage ;
  sh:property coscineSfb1394SKPFM:scanArea ;
  sh:property coscineSfb1394SKPFM:referenceElectrode ;
  sh:property coscineSfb1394SKPFM:measurementDateTime ;
  sh:property coscineSfb1394SKPFM:comments ;
.

coscineSfb1394SKPFM:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394SKPFM:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394SKPFM:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394SKPFM:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394SKPFM:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394SKPFM:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394SKPFM:temperature 
  sh:path sfb1394:temperature ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Temperature [°C]"@en, "Temperature [°C]"@de ;
  qudt:Unit unit:Deg_C ;
. 

coscineSfb1394SKPFM:relativeHumidity 
  sh:path sfb1394:relativeHumidity ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Relative humidity [%]"@en, "Relative humidity [%]"@de ;
  qudt:Unit unit:PERCENT_RH ;
. 

coscineSfb1394SKPFM:environmentalGas 
  sh:path sfb1394:environmentalGas ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Environmental gas"@en, "Environmental gas"@de ;
. 

coscineSfb1394SKPFM:operator 
  sh:path sfb1394:operator ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Operator"@en, "Operator"@de ;
. 

coscineSfb1394SKPFM:instrumentId 
  sh:path csmd:investigation_instrument ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Instrument ID"@en, "Instrument ID"@de ;
. 

coscineSfb1394SKPFM:sampleId 
  sh:path csmd:investigation_sample ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Sample ID"@en, "Sample ID"@de ;
. 

coscineSfb1394SKPFM:parentSampleId 
  sh:path sfb1394:parentSampleId ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Parent sample ID"@en, "Parent sample ID"@de ;
. 

coscineSfb1394SKPFM:anyDataSetToBeLinkedWithThisExperiment 
  sh:path sfb1394:anyDataSetToBeLinkedWithThisExperiment ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Any data set to be linked with this experiment"@en, "Any data set to be linked with this experiment"@de ;
. 

coscineSfb1394SKPFM:TestingEnv 
  sh:path sfb1394:TestingEnv ;
  sh:order 14 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Environmental protection during sample processing"@en, "Environmental protection during sample processing"@de ;
. 

coscineSfb1394SKPFM:pre-treatment 
  sh:path sfb1394:pre-treatment ;
  sh:order 15 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Pre-treatment"@en, "Pre-treatment"@de ;
. 

coscineSfb1394SKPFM:afmMode 
  sh:path sfb1394:afmMode ;
  sh:order 16 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "AFM mode"@en, "AFM mode"@de ;
. 

coscineSfb1394SKPFM:kpfmMode 
  sh:path sfb1394:kpfmMode ;
  sh:order 17 ;
  sh:maxCount 1 ;
  sh:name "KPFM mode"@en, "KPFM mode"@de ;
  sh:class <http://purl.org/coscine/vocabularies/sfb1394/KPFMmode> ; 
. 

coscineSfb1394SKPFM:tip 
  sh:path sfb1394:tip ;
  sh:order 18 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Tip ID"@en, "Tip ID"@de ;
. 

coscineSfb1394SKPFM:workingDistance 
  sh:path sfb1394:workingDistance ;
  sh:order 19 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Working distance [nm]"@en, "Working distance [nm]"@de ;
  qudt:Unit unit:NanoM ;
. 

coscineSfb1394SKPFM:scanVelocity 
  sh:path sfb1394:scanVelocity ;
  sh:order 20 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Scan velocity [Hz]"@en, "Scan velocity [Hz]"@de ;
  qudt:Unit unit:HZ ;
. 

coscineSfb1394SKPFM:tipOffsetVoltage 
  sh:path sfb1394:tipOffsetVoltage ;
  sh:order 21 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Tip offset voltage [V]"@en, "Tip offset voltage [V]"@de ;
  qudt:Unit unit:V ;
. 

coscineSfb1394SKPFM:appliedOffsetVoltage 
  sh:path sfb1394:appliedOffsetVoltage ;
  sh:order 22 ;
  sh:maxCount 1 ;
  sh:name "Applied offset voltage"@en, "Applied offset voltage"@de ;
  sh:class <http://purl.org/coscine/vocabularies/sfb1394/Appliedoffsetvoltage> ; 
. 

coscineSfb1394SKPFM:tipAlternatingVoltage 
  sh:path sfb1394:tipAlternatingVoltage ;
  sh:order 23 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Tip alternating Voltage [V]"@en, "Tip alternating Voltage [V]"@de ;
  qudt:Unit unit:V ;
. 

coscineSfb1394SKPFM:scanArea 
  sh:path sfb1394:scanArea ;
  sh:order 24 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Scan area [nm x nm]"@en, "Scan area [nm x nm]"@de ;
  qudt:Unit unit:NanoM2 ;
. 

coscineSfb1394SKPFM:referenceElectrode 
  sh:path sfb1394:referenceElectrode ;
  sh:order 25 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Reference electrode"@en, "Reference electrode"@de ;
. 

coscineSfb1394SKPFM:measurementDateTime 
  sh:path sfb1394:measurementDateTime ;
  sh:order 26 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Measurement date"@en, "Measurement date"@de ;
. 

coscineSfb1394SKPFM:comments 
  sh:path sfb1394:comments ;
  sh:order 27 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
